Uploaded image for project: 'Funtoo Linux'
  1. Funtoo Linux
  2. FL-5140

dev-util/nvidia-cuda-toolkit depends from removed sys-devel/gcc versions

Details

    • Bug
    • Status: Closed
    • Normal
    • Resolution: Duplicate
    • None
    • None

    Description

      grep sys-devel/gcc *.ebuild
      nvidia-cuda-toolkit-6.5.14.ebuild:      <sys-devel/gcc-4.9[cxx]
      nvidia-cuda-toolkit-6.5.19-r1.ebuild:   <sys-devel/gcc-4.9[cxx]
      nvidia-cuda-toolkit-7.5.18-r2.ebuild:   >=sys-devel/gcc-4.7[cxx]
      nvidia-cuda-toolkit-7.5.18-r2.ebuild:   <sys-devel/gcc-5[cxx]
      nvidia-cuda-toolkit-8.0.44.ebuild:      >=sys-devel/gcc-4.7[cxx]
      nvidia-cuda-toolkit-8.0.44.ebuild:      <sys-devel/gcc-6[cxx]
      nvidia-cuda-toolkit-8.0.61.ebuild:      >=sys-devel/gcc-4.7[cxx]
      nvidia-cuda-toolkit-8.0.61.ebuild:      <sys-devel/gcc-6[cxx]
      nvidia-cuda-toolkit-9.0.176.ebuild:     >=sys-devel/gcc-4.7[cxx]
      nvidia-cuda-toolkit-9.0.176.ebuild:     <sys-devel/gcc-7[cxx]
      

      moreover, cuda enabled packaged would fail to compile with gcc 7 because of /opt/cuda/include/crt/host_config.h:119, however bumping that line to "7" will make them compile again (just checked with net-p2p/xmr-stak and app-crypt/johntheripper) without runtime issues even with an upstream unsupported gcc version...

      Attachments

        Activity

          People

            Unassigned Unassigned
            skunk skunk
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: